Bug 180315 - New port: www/p5-Catalyst-Plugin-Session-PerUser
Summary: New port: www/p5-Catalyst-Plugin-Session-PerUser
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 14:10 UTC by Anes Mukhametov
Modified: 2013-11-18 19:32 UTC (History)
0 users

See Also:


Attachments
p5-Catalyst-Plugin-Session-PerUser.shar (4.00 KB, text/plain)
2013-07-05 14:10 UTC, Anes Mukhametov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anes Mukhametov 2013-07-05 14:10:02 UTC
	New port: www/p5-Catalyst-Plugin-Session-PerUser	
	This plugin allows you to write e.g. shopping cart code which should behave well for guests as well as permanent users.
Comment 1 Edwin Groothuis freebsd_committer 2013-07-05 14:10:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-17 22:57:37 UTC
Responsible Changed
From-To: perl->miwi

I'll take it.
Comment 3 Bryan Drewery freebsd_committer 2013-09-22 15:10:06 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 4 Edwin Groothuis freebsd_committer 2013-11-14 20:58:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 5 Po-Chuan Hsieh freebsd_committer 2013-11-16 21:17:21 UTC
Responsible Changed
From-To: perl->sunpoet

I'll take it.
Comment 6 dfilter service freebsd_committer 2013-11-18 19:26:04 UTC
Author: sunpoet
Date: Mon Nov 18 19:25:54 2013
New Revision: 334249
URL: http://svnweb.freebsd.org/changeset/ports/334249

Log:
  - Add p5-Catalyst-Plugin-Session-PerUser 0.05
  - While I'm here:
    - Add LICENSE
    - Convert to new Perl framework
    - Support STAGEDIR
    - Sort PLIST
    - Remove contiguous blank lines in pkg-descr
  
  This plugin allows you to write e.g. shopping cart code
  which should behave well for guests as well as permanent users.
  
  The basic idea is both logged in and not logged in users can
  get the same benefits from sessions where it doesn't matter,
  but that logged in users can keep their sessions accross logins,
  and will even get the data they added/changed assimilated to their
  permanent account if they made the changes as guests and then logged in.
  
  This is probably most useful for e-commerce sites, where the
  shopping cart is typically used before login, and should be
  equally accessible to both guests and logged in users.
  
  WWW: http://search.cpan.org/dist/Catalyst-Plugin-Session-PerUser/
  
  PR:		ports/180315
  Submitted by:	Anes Mukhametov <anes@anes.su>

Added:
  head/www/p5-Catalyst-Plugin-Session-PerUser/
  head/www/p5-Catalyst-Plugin-Session-PerUser/Makefile   (contents, props changed)
  head/www/p5-Catalyst-Plugin-Session-PerUser/distinfo   (contents, props changed)
  head/www/p5-Catalyst-Plugin-Session-PerUser/pkg-descr   (contents, props changed)
  head/www/p5-Catalyst-Plugin-Session-PerUser/pkg-plist   (contents, props changed)
Modified:
  head/www/Makefile

Modified: head/www/Makefile
==============================================================================
--- head/www/Makefile	Mon Nov 18 19:24:53 2013	(r334248)
+++ head/www/Makefile	Mon Nov 18 19:25:54 2013	(r334249)
@@ -786,6 +786,7 @@
     SUBDIR += p5-Catalyst-Plugin-Server
     SUBDIR += p5-Catalyst-Plugin-Session
     SUBDIR += p5-Catalyst-Plugin-Session-FastMmap
+    SUBDIR += p5-Catalyst-Plugin-Session-PerUser
     SUBDIR += p5-Catalyst-Plugin-Session-State-Cookie
     SUBDIR += p5-Catalyst-Plugin-Session-State-URI
     SUBDIR += p5-Catalyst-Plugin-Session-Store-Cache

Added: head/www/p5-Catalyst-Plugin-Session-PerUser/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/p5-Catalyst-Plugin-Session-PerUser/Makefile	Mon Nov 18 19:25:54 2013	(r334249)
@@ -0,0 +1,28 @@
+# Created by: Anes Mukhametov <anes@anes.su>
+# $FreeBSD$
+
+PORTNAME=	Catalyst-Plugin-Session-PerUser
+PORTVERSION=	0.05
+CATEGORIES=	www perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	anes@anes.su
+COMMENT=	Per user sessions (instead of per browser sessions)
+
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
+BUILD_DEPENDS=	p5-Catalyst-Plugin-Authentication>=0:${PORTSDIR}/www/p5-Catalyst-Plugin-Authentication \
+		p5-Catalyst-Plugin-Session>=0.06:${PORTSDIR}/www/p5-Catalyst-Plugin-Session \
+		p5-Hash-Merge>=0:${PORTSDIR}/textproc/p5-Hash-Merge \
+		p5-MRO-Compat>=0:${PORTSDIR}/devel/p5-MRO-Compat \
+		p5-Moose>=0:${PORTSDIR}/devel/p5-Moose \
+		p5-Object-Signature>=0:${PORTSDIR}/devel/p5-Object-Signature \
+		p5-namespace-autoclean>=0:${PORTSDIR}/devel/p5-namespace-autoclean
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+USE_PERL5=	configure
+USES=		perl5
+
+.include <bsd.port.mk>

Added: head/www/p5-Catalyst-Plugin-Session-PerUser/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/p5-Catalyst-Plugin-Session-PerUser/distinfo	Mon Nov 18 19:25:54 2013	(r334249)
@@ -0,0 +1,2 @@
+SHA256 (Catalyst-Plugin-Session-PerUser-0.05.tar.gz) = 39b2b9e534f19b80164fc2b455b9eb3a1c7457900f6cf50937923bf5c7cb6d22
+SIZE (Catalyst-Plugin-Session-PerUser-0.05.tar.gz) = 25584

Added: head/www/p5-Catalyst-Plugin-Session-PerUser/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/p5-Catalyst-Plugin-Session-PerUser/pkg-descr	Mon Nov 18 19:25:54 2013	(r334249)
@@ -0,0 +1,14 @@
+This plugin allows you to write e.g. shopping cart code
+which should behave well for guests as well as permanent users.
+
+The basic idea is both logged in and not logged in users can
+get the same benefits from sessions where it doesn't matter,
+but that logged in users can keep their sessions accross logins,
+and will even get the data they added/changed assimilated to their
+permanent account if they made the changes as guests and then logged in.
+
+This is probably most useful for e-commerce sites, where the
+shopping cart is typically used before login, and should be
+equally accessible to both guests and logged in users.
+
+WWW: http://search.cpan.org/dist/Catalyst-Plugin-Session-PerUser/

Added: head/www/p5-Catalyst-Plugin-Session-PerUser/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/p5-Catalyst-Plugin-Session-PerUser/pkg-plist	Mon Nov 18 19:25:54 2013	(r334249)
@@ -0,0 +1,10 @@
+%%SITE_PERL%%/Catalyst/Plugin/Session/PerUser.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Catalyst/Plugin/Session/PerUser/.packlist
+%%PERL5_MAN3%%/Catalyst::Plugin::Session::PerUser.3.gz
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Catalyst/Plugin/Session/PerUser
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Catalyst/Plugin/Session
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Catalyst/Plugin
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Catalyst
+@dirrmtry %%SITE_PERL%%/Catalyst/Plugin/Session
+@dirrmtry %%SITE_PERL%%/Catalyst/Plugin
+@dirrmtry %%SITE_PERL%%/Catalyst
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Po-Chuan Hsieh freebsd_committer 2013-11-18 19:32:36 UTC
State Changed
From-To: open->closed

New port added. Thanks!